import { TrackFragmentIndex } from '../../../../assets/src/index.ts';
import { InitSegmentPaths, MediaEngine } from '../../transcoding/types';
import { UrlGenerator } from '../../transcoding/utils/UrlGenerator';
import { EFMedia } from '../EFMedia';
import { AssetMediaEngine } from './AssetMediaEngine';
export declare class AssetIdMediaEngine extends AssetMediaEngine implements MediaEngine {
    assetId: string;
    private apiHost;
    static fetchByAssetId(host: EFMedia, _urlGenerator: UrlGenerator, assetId: string, apiHost: string): Promise<AssetIdMediaEngine>;
    constructor(host: EFMedia, assetId: string, data: Record<number, TrackFragmentIndex>, apiHost: string);
    get initSegmentPaths(): InitSegmentPaths;
    get templates(): {
        initSegment: string;
        mediaSegment: string;
    };
    buildInitSegmentUrl(trackId: number): string;
    buildMediaSegmentUrl(trackId: number, _segmentId: number): string;
}
